﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Tsi1.BusinessLayer.Helpers;
using Tsi1.BusinessLayer.Interfaces;

namespace Tsi1.Api.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class FileController : ControllerBase
    {
        private readonly IFileService _fileService;

        public FileController(IFileService fileService)
        {
            _fileService = fileService;
        }

        [Authorize(Roles = UserTypes.Professor)]
        [HttpPost("Upload/{courseId}")]
        public async Task<IActionResult> Upload(IFormFile file, int courseId)
        {
            var tenantId = HttpContext.User.Claims.FirstOrDefault(x => x.Type == "TenantId").Value;

            var result = await _fileService.Create(file, tenantId, courseId.ToString());
            if (result.HasError)
            {
                return BadRequest(result.Message);
            }

            return Ok(result.Data);
        }

    }
}
