﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;
using Tsi1.DataLayer.Entities;

namespace Tsi1.DataLayer.EntityConfiguration
{
    class TenantConfiguration : IEntityTypeConfiguration<Tenant>
    {
        public void Configure(EntityTypeBuilder<Tenant> builder)
        {
            builder.HasKey(x => x.Id);

            builder.HasIndex(x => x.Name)
               .IsUnique();

            builder.Property(x => x.Name)
                .IsRequired()
                .HasColumnType("character varying(50)");

            builder.Property(x => x.Theme)
                .IsRequired()
                .HasColumnType("character varying(200)");
        }
    }
}
